class BookInStore
  attr_reader :isbn, :price

  def initialize(isbn, price)
    @isbn = isbn
    @price = Float(price)
  end

  def to_s
    "ISBN: #{@isbn}, price: #{@price}"
  end

  def price=(new_price)
    @price = Float(new_price)
  end
  
  def price_in_cents
    Integer(@price * 100)
  end

  def price_in_cents=(new_price)
    @price = new_price / 100.0
  end
end

