require 'csv'
require_relative 'book_catalog'
require_relative 'book_in_store'

def read_data_from_file(filename)
  catalog = BookCatalog.new
  CSV.foreach(filename, headers: true) do |row|
    book = BookInStore.new(row["ISBN"], row["Price"])
    catalog << book
  end
  catalog
end

def main
  catalog = read_data_from_file(ARGV[0])
  puts "Общая стоимость книг: #{catalog.total_value_in_store}"
  isbns = catalog.number_of_each_isbn
  for key in isbns.keys
    puts "Количество #{key} книг: #{isbns[key]}"
  end
end

main
